clang-tools 6.0.0

Namespaces | Functions
FoldInitTypeCheck.cpp File Reference
`#include "FoldInitTypeCheck.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
Include dependency graph for FoldInitTypeCheck.cpp:

Go to the source code of this file.

## Namespaces
| clang
| clang::tidy
| clang::tidy::bugprone

## Functions
static bool | clang::tidy::bugprone::isValidBuiltinFold (const BuiltinType &ValueType, const BuiltinType &InitType, const ASTContext &Context)
| Returns true if ValueType is allowed to fold into InitType, i.e. More...